
/*  new speedbump and modal styles  */

.ui9-moda { border: 1px solid #fff; box-shadow: 2px 2px 20px 1px; box-sizing: border-box; position: fixed; z-index: 999999993; /* customized z-index */}
.ui9-moda__overlay { position: fixed; top: 0; left: 0; right: 0; bottom: 0; background: rgba(119,119,119,0.75); display: flex; justify-content: center; align-items: center; z-index: 9999; box-sizing: border-box; }

.ui9-moda__container { background-color: #fff; padding: 25px 25px 15px 25px; width: auto; max-width: 80vw;  max-height: 90vh; border-radius: 10px; overflow-y: auto; position: relative; }
.ui9-moda__header { display: flex; justify-content: space-between; align-items: center; color: #fff; background: #43978D; font-size: 1rem; padding: 10px;}
.ui9-moda_content_box .ui9-moda__header { display: none; }

/* unused .ui9-moda__close { padding: 5px !important; line-height: 1; margin: 0 !important; position: absolute; right: 2px; top: 2px; }
.ui9-moda__header .ui9-moda__close:before { content: "\2715"; }
button.ui9-moda__close { background-color: transparent; color: #ccc; font-size: 1.2rem; } */

.ui9-moda__content p { margin: 0; padding: 10px 0; line-height: 1.5; }
.ui9-moda__footer { text-align: right; margin: 0; }
.ui9-moda__headline, .ui9-moda__headline h2 { line-height: 1; font-size: 2rem; }
h2.ui9-moda__headline, h3.ui9-moda__URL, .ui9-moda a { overflow-wrap: break-word; word-wrap: break-word; -ms-word-break: break-all; word-break: break-word; -ms-hyphens: auto; -moz-hyphens: auto; -webkit-hyphens: auto; hyphens: auto; }

.ui9-moda_speedbump_disclaimer_box { text-align: left; margin: 20px 0 10px 0; }
.ui9-moda_content_box h2, .ui9-moda_content_box h3, .ui9-moda_content_box h4, .ui9-moda_content_box h5 { margin: 5px 0 15px 0; }

.ui9-moda__framed .ui9-moda__container { width: 80vw; height: 90vh; max-height: 80vh; overflow-y: hidden; }
.ui9-moda__framed .ui9-moda__container .modal-iframe {width: 100%; overflow: initial; height: calc(100% - 60px); margin-bottom: 10px;}
.ui9-moda__framed .ui9-moda__container .modal-iframe iframe {width: 100%; height: 100%; max-height: 90vh;}

.ui9-moda-blank .ui9-moda__header { justify-content: flex-end; background-color: #fff; padding: 0; }
.ui9-moda-blank .ui9-moda__content { padding: 10px 0; width: 100%; margin: auto; }

.ui9-moda-slide { display: none; }
.ui9-moda-slide.is-open { display: block; }
.ui9-moda-slide .ui9-moda__container, .ui9-moda-slide .ui9-moda__overlay { will-change: transform; }
.ui9-moda-slide[aria-hidden="false"] .ui9-moda__overlay { animation: mmfadeIn .3s cubic-bezier(0.0, 0.0, 0.2, 1); }
.ui9-moda-slide[aria-hidden="false"] .ui9-moda__container { animation: mmslideIn .3s cubic-bezier(0, 0, .2, 1); }
.ui9-moda-slide[aria-hidden="true"] .ui9-moda__overlay { animation: mmfadeOut .3s cubic-bezier(0.0, 0.0, 0.2, 1); }
.ui9-moda-slide[aria-hidden="true"] .ui9-moda__container { animation: mmslideOut .3s cubic-bezier(0, 0, .2, 1); }

@keyframes mmfadeIn { from { opacity: 0; } to { opacity: 1; } }
@keyframes mmfadeOut { from { opacity: 1; } to { opacity: 0; } }
@keyframes mmslideIn { from { transform: translateY(15%); } to { transform: translateY(0); } }
@keyframes mmslideOut { from { transform: translateY(0); } to { transform: translateY(-10%); } }

.ui9-moda__bank-intercept.ui9-moda__container {padding: 5px 25px 20px 25px;}

/* marketing interstitial - uses modal with bank-intercept class*/
.ui9-moda__bank-intercept .bank-intercept-opt-out-container {padding: 5px 0 0 0; overflow: hidden; min-height: 25px; display: inline-block;}
.ui9-moda__bank-intercept .bank-intercept-opt-out {margin: 0 0 0 0; display: inline-block; float: left; font-size: .8rem; color: #aaa;}
.ui9-moda__bank-intercept .bank-intercept-opt-out input[type="checkbox"] {margin: 0 2px 4px 0; color: #ccc;}
 
.ui9-moda__bank-intercept .ui9-moda__buttonpane  {background-color: transparent; margin: 5px 0 0 0; padding: 0; display: flex; justify-content: flex-end;}
.ui9-moda__bank-intercept button.ui9-moda__btn:after {    content: " \f101 ";	font: var(--fa-font-regular);	font-size: 1.1rem;}


/* seminars modal override */
.ui9-moda__container div.seminar_header h2 {width: 100%; float: none;}
.ui9-moda-blank .ui9-moda__content .inner { padding: 0 5px; }
.ui9-moda-blank .ui9-moda__content div.sem_field .form-field .label {float: none; width: 100%; padding: 5px 10px;}
.ui9-moda-blank .ui9-moda__content div.sem_field .form-field .input {float: none; width: 100%; padding: 5px 10px;}
.ui9-moda__container div.form-field {width: 100%;}

@media screen and (max-width:900px) { 
	div.ui9-moda_content_box { font-size: 0.9rem; } .ui9-moda__headline, .ui9-moda__headline h2, .ui9-moda__URL { font-size: 1rem; } 
	.ui9-moda__container {max-width: 90vw;  padding: 20px 20px 10px 20px; }
	.ui9-moda__framed .ui9-moda__container { width: 90vw; }
}

@media screen and (max-width: 550px) {
	.ui9-moda__bank-intercept .ui9-moda__buttonpane  {position: relative; top: unset; right: unset; margin: 5px; display: block; text-align: center;}

}

@media screen and (max-width:450px) { 
	div.ui9-moda_content_box { line-height: 1.3; font-size: 0.8rem; } 
	.ui9-moda__container {max-width: 98vw; padding: 15px 15px 10px 15px;}
	.ui9-moda__framed .ui9-moda__container { width: 98vw; }
}

/* custom button styles for the Gain site which uses anchors for buttons */
.ui9-moda button {
	border: solid 2px #003f5f;
	background-color: #fff;
	font-size: inherit;
	font-weight: normal;
	padding: 6px 12px;
	
	cursor: pointer;
	color: #003f5f;
	margin: 5px 0;
	text-decoration: none;
	opacity: 1;
	-webkit-transition: opacity .3s ease;
	-moz-transition: opacity .3s ease;
	max-width: 100%;
	display: inline-block;
	font-family: inherit;
	line-height: normal;
	
}

.ui9-moda button:hover {
	border: solid 2px #003f5f;
	background-color: #003f5f;
	-moz-box-shadow: 1px 1px 5px #d1d1d1;
	-webkit-box-shadow: 1px 1px 5px #d1d1d1;
	box-shadow: 1px 1px 5px #d1d1d1;
	cursor: pointer;
	opacity: 1;
	color:#fff !important;
}

.ui9-moda button:active {
	-moz-box-shadow: inset 1px 1px 5px #d1d1d1;
	-webkit-box-shadow: inset 1px 1px 5px #d1d1d1;
	box-shadow: inset 1px 1px 5px #d1d1d1;
}

